Package com.trilead.ssh2.crypto.cipher

## Class DESede

- java.lang.Object
- - com.trilead.ssh2.crypto.cipher.DES
  - - com.trilead.ssh2.crypto.cipher.DESede

All Implemented Interfaces:
  `BlockCipher`

    public class DESede
    extends DES

DESede.

### Constructor Summary

Constructors
`DESede()` standard constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAlgorithmName()`
`int` `getBlockSize()`
`void` `init​(boolean encrypting, byte[] key)` initialise a DES cipher.
`void` `reset()`
`void` `transformBlock​(byte[] in, int inOff, byte[] out, int outOff)`

### Methods inherited from class com.trilead.ssh2.crypto.cipher.DES

`desFunc, generateWorkingKey`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DESede

    public DESede()

standard constructor.

### Method Detail

#### init

    public void init​(boolean encrypting,
                     byte[] key)

initialise a DES cipher.

Specified by:
  `init` in interface `BlockCipher`
Overrides:
  `init` in class `DES`
Parameters:
  `encrypting` - whether or not we are for encryption.
  `key` - the parameters required to set up the cipher.
Throws:
  `java.lang.IllegalArgumentException` - if the params argument is inappropriate.

#### getAlgorithmName

    public java.lang.String getAlgorithmName()

Overrides:
  `getAlgorithmName` in class `DES`

#### getBlockSize

    public int getBlockSize()

Specified by:
  `getBlockSize` in interface `BlockCipher`
Overrides:
  `getBlockSize` in class `DES`

#### transformBlock

    public void transformBlock​(byte[] in,
                               int inOff,
                               byte[] out,
                               int outOff)

Specified by:
  `transformBlock` in interface `BlockCipher`
Overrides:
  `transformBlock` in class `DES`

#### reset

    public void reset()

Overrides:
  `reset` in class `DES`